# True_RefCount_Policy.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/orbconf.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Atomic_Op.h"`

Include dependency graph for True_RefCount_Policy.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::True_RefCount_Policy
| True reference counting policy. More...

## Detailed Description

Id
  True_RefCount_Policy.h,v 1.3 2005/07/19 10:10:00 jwillemsen Exp

Header file for TAO's true reference count policy (unrelated to CORBA policies).

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>